# GimpUi.prop_switch_new

    @accepts(GObject.Object, unicode, unicode, Gtk.Widget, Gtk.Widget)
    @returns(Gtk.Widget)
    def prop_switch_new(config, property_name, label, label_out, switch_out):
        # Python wrapper for gimp_prop_switch_new()

Creates a Gtk.Box with a switch and a label that displays and sets the specified boolean property. If label is None, the property_name's nick will be used as label.

Since 3.0

config

  Object to which property is attached.

property_name

  Name of boolean property controlled by checkbutton.

label

  Label to give checkbutton (including mnemonic).

label_out

  The generated Gtk.Label

switch_out

  The generated Gtk.Switch

Returns